#
# spec file for package perl-Perl-Critic-Freenode
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Perl-Critic-Freenode
Version:        0.033
Release:        bp154.1.15
%define cpan_name Perl-Critic-Freenode
Summary:        Perl::Critic policies inspired by #perl on
License:        Artistic-2.0
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DB/DBOOK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(List::Util) >= 1.33
BuildRequires:  perl(Module::Build::Tiny) >= 0.034
BuildRequires:  perl(Module::Metadata)
BuildRequires:  perl(PPI) >= 1.254
BuildRequires:  perl(Path::Tiny) >= 0.101
BuildRequires:  perl(Perl::Critic) >= 1.126
BuildRequires:  perl(Perl::Critic::Policy::Objects::ProhibitIndirectSyntax) >= 1.126
BuildRequires:  perl(Perl::Critic::Policy::Subroutines::ProhibitAmpersandSigils) >= 1.126
BuildRequires:  perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitArrayAssignAref) >= 90
BuildRequires:  perl(Perl::Critic::Policy::Variables::ProhibitConditionalDeclarations) >= 1.126
BuildRequires:  perl(Perl::Critic::Policy::Variables::ProhibitLoopOnHash) >= 0.005
BuildRequires:  perl(Perl::Critic::Policy::Variables::RequireLexicalLoopIterators) >= 1.126
BuildRequires:  perl(parent)
BuildRequires:  perl(version)
Requires:       perl(List::Util) >= 1.33
Requires:       perl(PPI) >= 1.254
Requires:       perl(Path::Tiny) >= 0.101
Requires:       perl(Perl::Critic) >= 1.126
Requires:       perl(Perl::Critic::Policy::Objects::ProhibitIndirectSyntax) >= 1.126
Requires:       perl(Perl::Critic::Policy::Subroutines::ProhibitAmpersandSigils) >= 1.126
Requires:       perl(Perl::Critic::Policy::ValuesAndExpressions::ProhibitArrayAssignAref) >= 90
Requires:       perl(Perl::Critic::Policy::Variables::ProhibitConditionalDeclarations) >= 1.126
Requires:       perl(Perl::Critic::Policy::Variables::ProhibitLoopOnHash) >= 0.005
Requires:       perl(Perl::Critic::Policy::Variables::RequireLexicalLoopIterators) >= 1.126
Requires:       perl(parent)
Requires:       perl(version)
%{perl_requires}

%description
A set of Perl::Critic policies to enforce the practices generally
recommended by the denizens of #perl on at https://freenode.net/. Because
this policy "theme" is designed to be used with zero configuration on the
command line, some duplication will occur if it is used in combination with
core Perl::Critic policies.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md prereqs.yml README
%license LICENSE

%changelog
* Tue Dec 22 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.033
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.033     2020-12-21 19:39:58 EST
  - Update various recommendations for alternatives in DiscouragedModules policy
  - Add better examples for EmptyReturn (#39) and Each policies
* Thu Nov 14 2019 <timueller+perl@suse.de>
- updated to 0.032
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.032     2019-11-11 11:09:08 EST
  - Add check for CORE::wantarray and CORE'wantarray to WantArray policy (simcop2387 #37)
* Thu Sep 26 2019 <timueller+perl@suse.de>
- updated to 0.031
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.031     2019-09-25 19:00:39 EDT
  - Add FindBin to DiscouragedModules policy (#31)
  - Add MultidimensionalArrayEmulation policy (#35)
* Tue Aug 27 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.030
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.030     2019-08-26 11:27:15 EDT
  - Allow signature_enablers to be configured for Prototypes policy (#34)
* Sun Apr 28 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.029
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.029     2019-04-26 13:12:43 EDT
  - Added LexicalForeachIterator policy
  - Require PPI 1.252+ allowing simplifications to the DeprecatedFeatures and
    WhileDiamondDefaultAssignment policies
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.028
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.028     2018-11-29 19:32:49 EST
  - Split out lower severity violations from DiscouragedModules policy into a
    new PreferredAlternatives policy. Perl::Critic does not support filtering
    individual violations by severity, only policies, so this will allow
    separately configuring and filtering these violations.
  - Fixed DiscouragedModules and DeprecatedFeatures policy violations to report
    severity as configured.
  - Fixed DeprecatedFeatures to avoid false positives on method calls with the
    same name as autoderef functions.
  - Added /\C/, chdir(''), and bare here-docs to DeprecatedFeatures policy.
  0.027     2018-06-20 20:17:06 EDT
  - Add LoopOnHash policy
* Sat Feb 17 2018 coolo@suse.com
- updated to 0.026
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.026     2018-02-16 20:50:14 EST
  - Update Prototypes policy to recognize more ways of activating the signatures feature
* Mon Feb 12 2018 coolo@suse.com
- updated to 0.025
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.025     2018-02-11 01:31:58 EST
  - Fix DeprecatedFeatures to recognize correctly-parsed postderef in PPI 1.237+
  - Avoid warning from running PackageMatchesFilename policy on a document without a filename (willt #29)
  - Fix another false positive in DollarAB policy
* Mon Oct  9 2017 coolo@suse.com
- updated to 0.024
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.024     2017-08-16 22:39:53 EDT
  - Make PackageMatchesFilename more robust against infinite loops
  0.023     2017-08-16 22:22:40 EDT
  - Fix issue where PackageMatchesFilename policy would loop infinitely
  0.022     2017-08-16 22:17:38 EDT
  - Also consider -W a violation of WarningsSwitch policy
  - Fix false positive in DollarAB policy where $a or $b is within another block
  - Add PackageMatchesFilename policy
* Fri Jun  9 2017 coolo@suse.com
- updated to 0.021
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.021     2017-06-03 19:49:16 EDT
  - Be more lenient when trying to detect postderef for DeprecatedFeatures autoderef violations
* Tue May 16 2017 coolo@suse.com
- updated to 0.020
  see /usr/share/doc/packages/perl-Perl-Critic-Freenode/Changes
  0.020     2017-05-15 20:45:02 EDT
  - Updates to documentation for DeprecatedFeatures and DiscouragedModules policies
  - Add require ::Foo::Bar to DeprecatedFeatures policy
  - Remove qr//xx from DeprecatedFeatures policy as this is now a valid regex modifier in 5.26.
* Wed Feb 15 2017 coolo@suse.com
- initial package 0.019
  * created by cpanspec 1.78.08
